Package Gnumed :: Package pycommon :: Module gmDrugObject :: Class cDrug |
[frames] | no frames]

# Class cDrug

source code

High level API to access drug data

FIXME: should class Drug not, perhaps, be derived from gmBusinessDBObject ?

Instance Methods
__init__(self, fastInit=0, queryCfgSource=None) initialize static variables | source code
GetData(self, groupName=None, refresh=0) Get data of QueryGroupHandlers identified by groupName. | source code
GetAllData(self) fetch data of all standard sub objects | source code

Method Details

### GetData(self, groupName=None, refresh=0) | source code
    Get data of QueryGroupHandlers identified by groupName.

            Returns None if the group does not exist or if the query was not
            successful. Else it returns a dictionary containing all the variables
            defined for this query.
    If the query should be repeated instead of the cached data used, you will
    have to set refresh to 1 (you should do this if some mapped variable was
    changed).